<template>
    <svg width="20" height="20" viewBox="0 0 20 20" fill="none" xmlns="http://www.w3.org/2000/svg">
        <path
            d="M11.9338 15.8917C11.9338 16.4 11.6004 17.0667 11.1754 17.325L10.0005 18.0834C8.90879 18.7584 7.39212 18 7.39212 16.65V12.1917C7.39212 11.6 7.05879 10.8417 6.71712 10.425L3.5171 7.05837C3.0921 6.63337 2.75879 5.88338 2.75879 5.37505V3.44171C2.75879 2.43338 3.51714 1.67505 4.44214 1.67505H15.5588C16.4838 1.67505 17.2421 2.43337 17.2421 3.35837V5.20837C17.2421 5.88337 16.8171 6.72505 16.4005 7.14171"
            :stroke="secondaryColor" stroke-miterlimit="10" stroke-linecap="round" stroke-linejoin="round" />
        <path
            d="M13.3913 13.7667C14.864 13.7667 16.058 12.5728 16.058 11.1C16.058 9.62727 14.864 8.43335 13.3913 8.43335C11.9185 8.43335 10.7246 9.62727 10.7246 11.1C10.7246 12.5728 11.9185 13.7667 13.3913 13.7667Z"
            :stroke="primaryColor" stroke-linecap="round" stroke-linejoin="round" />
        <path d="M16.5579 14.2667L15.7246 13.4333" :stroke="primaryColor" stroke-linecap="round" stroke-linejoin="round" />
    </svg>
</template>
<script>
import { $iconColors } from '@themeConfig'
export default {
    data() {
        return {
            primaryColor: $iconColors.primary, // Initial color
            secondaryColor: $iconColors.secondary, // Initial color
        };
    },
}
</script>